Bug 604292 (CVE-2010-2284) - CVE-2010-2284 wireshark: ASN.1 BER dissector stack overrun
Summary: CVE-2010-2284 wireshark: ASN.1 BER dissector stack overrun
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2284
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 549580 604312 612236 612237 612238 612239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 19:28 UTC by Vincent Danen
Modified: 2019-09-29 12:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-22 20:27:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0625 normal SHIPPED_LIVE Moderate: wireshark security update 2010-08-11 20:59:31 UTC

Description Vincent Danen 2010-06-15 19:28:42 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2284 to
the following vulnerability:

Name: CVE-2010-2284
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2284
Assigned: 20100614
Reference: MLIST:[oss-security] 20100610 CVE request for new wireshark vulnerabilities
Reference: URL: http://www.openwall.com/lists/oss-security/2010/06/11/1
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2010-05.html
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2010-06.html
Reference: MANDRIVA:MDVSA-2010:113
Reference: URL: http://www.mandriva.com/security/advisories?name=MDVSA-2010:113
Reference: SECUNIA:40112
Reference: URL: http://secunia.com/advisories/40112
Reference: VUPEN:ADV-2010-1418
Reference: URL: http://www.vupen.com/english/advisories/2010/1418

Buffer overflow in the ASN.1 BER dissector in Wireshark 0.10.13
through 1.0.13 and 1.2.0 through 1.2.8 has unknown impact and remote
attack vectors.

Upstream commits:

trunk: http://anonsvn.wireshark.org/viewvc?view=rev&revision=32922
trunk: http://anonsvn.wireshark.org/viewvc?view=rev&revision=33046
trunk-1.2: http://anonsvn.wireshark.org/viewvc?view=rev&revision=33122
trunk-1.0: http://anonsvn.wireshark.org/viewvc?view=rev&revision=33146

Comment 1 Vincent Danen 2010-06-15 20:06:53 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 549580]

Comment 9 Vincent Danen 2010-07-08 14:17:44 UTC
This is a stack memory exhaustion issue, which means this is a relatively harmless crash.  As a result, this is a low impact issue.

Comment 10 Jan Safranek 2010-07-28 13:53:33 UTC
Upstream seems to have fixed the recursion issue, see https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4984#c14.

It's reproducible using upstream capture http://www.wireshark.org/download/automated/captures/fuzz-2010-07-12-1799.pcap (loops infinitely) and http://www.wireshark.org/download/automated/captures/fuzz-2010-07-06-23547.pcap (crashes).

Usage:
$ tshark -nVr fuzz-2010-07-06-23547.pcap  "frame.number != 0" >/dev/null
Running as user "root" and group "root". This could be dangerous.
Segmentation fault

Both these issues (endless loop, crash) are reproducible only with unpatched upstream versions of wireshark-1.0.14, our old RHEL-5 version (1.0.8) does not crash!

Comment 11 errata-xmlrpc 2010-08-11 20:59:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0625 https://rhn.redhat.com/errata/RHSA-2010-0625.html


Note You need to log in before you can comment on or make changes to this bug.